Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232414 - RFE: libdmx.a does not include shared object
Summary: RFE: libdmx.a does not include shared object
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libdmx
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Søren Sandmann Pedersen
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 12:38 UTC by Andrew Gormanly
Modified: 2014-06-18 09:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:14:44 UTC


Attachments (Terms of Use)
Adds shared lib to static lib for libdmx (deleted)
2007-03-15 12:38 UTC, Andrew Gormanly
no flags Details | Diff

Description Andrew Gormanly 2007-03-15 12:38:58 UTC
Description of problem:
libdmx.a does not include the shared object.  This causes chromium
(chromium.sourceforge.net) builds to fail.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.EL.13.36

How reproducible:
every time

Steps to Reproduce:
1. try to compile chromium
2.
3.
  
Actual results:
fails

Expected results:
compiles

Additional info:
This is a one-liner in the dmx Imakefile (xc/lib/dmx/Imakefile), adding the line:

#define IncludeSharedObjectInNormalLib

which is present in other Imakefiles in the SRPM, provided by the 3 patches:
XFree86-4.2.99.4-IncludeSharedObjectInNormalLib.patch
XFree86-4.3.0-libfontenc-IncludeSharedObjectInNormalLib.patch
XFree86-4.3.0-XRes-IncludeSharedObjectInNormalLib.patch

Obviously it needs a trivial pair of lines in the spec file, such as:
Patch29999: xorg-x11-6.8.2-Xdmx-IncludeSharedObjectInNormalLib.patch
%patch29999 -p0 -b .Xdmx-IncludeSharedObjectInNormalLib

This would really make life easier for building visualization clusters if could
get included.

Comment 1 Andrew Gormanly 2007-03-15 12:38:59 UTC
Created attachment 150120 [details]
Adds shared lib to static lib for libdmx

Comment 2 Jiri Pallich 2012-06-20 16:14:44 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.